> ## Documentation Index
> Fetch the complete documentation index at: https://docs.realitydefender.com/llms.txt
> Use this file to discover all available pages before exploring further.

# All Media

<ParamField query="size" type="number">
  The number of results to return per page. Default is 10.
</ParamField>

<ParamField query="name" type="string">
  Results where the file name matches the input name.
</ParamField>

<ParamField query="startDate" type="string">
  Returns upload data from startDate to now. Use format 'yyyy-mm-dd'.
</ParamField>

<ParamField query="endDate" type="string">
  Returns upload data from startDate (if entered) to endDate. Use format 'yyyy-mm-dd'.
</ParamField>

<ParamField path="page_number" type="string">
  Specifies which page to return when iterating through results.
</ParamField>

Use this endpoint to view the deepfake detection results for all uploaded files.

<Note>
  This endpoint is specific to a given user's uploads. Although organization administrators can view organization-wide uploads, this endpoint will not return organization-wide uploads.
</Note>

### Authorization

You must include the `x-api-key` in your request headers. This key is essential for authenticating your request and ensuring secure access to the API.

### Pagination

By default, if no page is defined, the API will return 100 responses. In order to paginate through responses, you will want to specify a page number in the URL: `/api/v2/media/users/pages/{page-number}`.

### Sample Request

<CodeGroup>
  ```bash curl theme={null}
  curl -X GET "https://api.prd.realitydefender.xyz/api/v2/media/users" \
  -H "your-api-key" \
  -H "Content-Type: application/json"
  ```

  ```python python theme={null}
  import requests 

  url = "https://api.prd.realitydefender.xyz/api/v2/media/users"
  headers = {
      "X-API-KEY": "your-api-key",
      "Content-Type": "application/json"
  }
  response = requests.get(url, headers=headers).json()
  print(response)

  ```
</CodeGroup>

### Response

The response contains a list of responses for each file uploaded. For more detail on how to parse the individual response, please visit our [Media Detail](/api-reference/endpoint/get_media_detail) API documentation.

<Warning>
  We highly recommend that you leverage the ensemble results that are returned rather than building off the individual model results.
</Warning>
